#***************************************************************************************************
#                   R script for visualising regression results of TopoART-R networks              *
#***************************************************************************************************
#                             Created by Marko Tscherepanow, 12 June 2016                          *
#***************************************************************************************************

# set the working directory to LibTopoART_v0.78/R/
# Run: source("ShowTopoARTRResults.R")

# open regression results
data <- read.csv("../results/regression/TopoART-R_sine_regression_results.csv", FALSE)

# read data
training_sample_num	<-	data[1, 1]
test_sample_num		<-	data[1, 2]
training_samples	<-	data[2 : (training_sample_num + 1), ]
test_samples		<-	data[(training_sample_num + 2) : (training_sample_num + test_sample_num + 1), ]

# images are saved to images/TAR_regression.pdf
pdf(file = "images/TAR_regression.pdf")
par(cex.axis = 1.5, cex.lab = 1.5, cex.main = 1.6)
plot(training_samples[, 1], training_samples[, 2], xlim = c(0, 2 * pi), ylim = c(-1, 1), xlab = "x", ylab = "sin(x)", pch = ".", col = "blue")
points(test_samples[, 1], test_samples[, 2], col = "red")
grid()
title(main = "TopoART-R regression results", font.main = 2)
legend(4.4, 1, c("training", "prediction"), pch = c(46, 1), col = c("blue", "red"), cex = 1.5);
dev.off()